document.addEventListener("click", (event) => {
	if (browser) {
		console.log("Browser object exists.");
		if (event.target.classList.contains("test")) {
            console.log("Target classlist contains \"test\"");
			var chosenContent = event.target.textContent;
			browser.tabs.executeScript(null, {
				file: "/content_scripts/test.js"
			});
			var obtainedActiveTab = browser.tabs.query({
				active: true,
				currentWindow: true
			});
            console.log("Sending message over.");
			obtainedActiveTab.then((tabs) => {
                console.log("Message is sent.");
				browser.tabs.sendMessage(tabs[0].id, {
					someText: chosenContent
				});
			});
		}
		else if (event.target.classList.contains("reload")) {
            console.log("Reloading.");
			browser.tabs.reload();
		}
        else {
            console.log("Cannot detect existing class attribute in target classlist.");
        }
	}
	else {
		console.error("There is no browser object detected.");
	}
});
